×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 22
  1. #1
    Regular Contributor
    Join Date
    May 2008
    Location
    India
    Posts
    172

    Question S60 2nd Edtion FP2 SDK

    Hi All,

    I need to create an application for S60 2nd edition FP2 devices. I am already using S60 3rd edition MR SDK along with Carbide.c++ v 1.3. Would I get into trouble if I try to install S60 2nd edition FP2 SDK? How would Carbide.c++ detect the SDK? Please advise.

    Thanks,

    Shanker

  2. #2
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,559

    Re: S60 2nd Edtion FP2 SDK

    Quote Originally Posted by nair.shanker View Post
    Hi All,

    I need to create an application for S60 2nd edition FP2 devices. I am already using S60 3rd edition MR SDK along with Carbide.c++ v 1.3. Would I get into trouble if I try to install S60 2nd edition FP2 SDK? How would Carbide.c++ detect the SDK? Please advise.

    Thanks,

    Shanker
    Well I must admit that I dont have 2nd ed SDK installed. I think you will have no trouble using the 2nd ed with carbide 1.3 unless you need template to create new project, etc. Otherwise rest should be the same.

    Apart from that, you might find Lucian's blog an useful read.

    In case you need 1.2 then its available http://www.forum.nokia.com/main/reso...s_archive.html

  3. #3
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: S60 2nd Edtion FP2 SDK

    Quote Originally Posted by nair.shanker View Post
    Hi All,

    I need to create an application for S60 2nd edition FP2 devices. I am already using S60 3rd edition MR SDK along with Carbide.c++ v 1.3. Would I get into trouble if I try to install S60 2nd edition FP2 SDK? How would Carbide.c++ detect the SDK? Please advise.

    Thanks,

    Shanker
    Any way you can have both v1.2 and v1.3 in same machine.

  4. #4
    Regular Contributor
    Join Date
    May 2008
    Location
    India
    Posts
    172

    Thumbs up Re: S60 2nd Edtion FP2 SDK

    Thank you both for the reply.
    I think now I can install the SDK without undue fear.

    Shanker

  5. #5
    Regular Contributor
    Join Date
    Aug 2008
    Posts
    70

    Re: S60 2nd Edtion FP2 SDK

    Quote Originally Posted by skumar_rao View Post
    Any way you can have both v1.2 and v1.3 in same machine.
    Is this regarding the carbide? Can we install both the 2nd and 3rd SDK on the same system?

  6. #6
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,559

    Re: S60 2nd Edtion FP2 SDK

    Quote Originally Posted by Madz.R View Post
    Is this regarding the carbide? Can we install both the 2nd and 3rd SDK on the same system?
    Rao's comment(that you quote) was regarding carbide. But yes you can install 2nd and 3rd SDK on same system

  7. #7
    Regular Contributor
    Join Date
    Aug 2008
    Posts
    70

    Re: S60 2nd Edtion FP2 SDK

    oh, then how will the carbide know which SDK to use? what if I want to run one instance of carbide on 3rd edition and the other on 2nd?

  8. #8
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,559

    Re: S60 2nd Edtion FP2 SDK

    When you create a new project, you can select the appropriate SDK and platform to use. Try it once and it will be more clearer ;)

  9. #9
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: S60 2nd Edtion FP2 SDK

    Quote Originally Posted by Madz.R View Post
    Is this regarding the carbide? Can we install both the 2nd and 3rd SDK on the same system?
    Yes you can, there is no problem install v2 and v3 SDK in one machine.

  10. #10
    Regular Contributor
    Join Date
    May 2008
    Location
    India
    Posts
    172

    Question Re: S60 2nd Edtion FP2 SDK

    Hi All,

    I got the S60 2nd edn SDK to install, but, ran into problems when I tried to invoke the emulator from the command prompt. It showed an error message - "ERROR: File "C:\Symbian\9.1\s60_3rd_mr\epoc32\release\wins\udeb\epoc.exe" not found.". When looked into the environment variables -> User variables for ... -> EPOCROOT, it was pointing to the old version (S60 3rd edn). I was able to invoke the emulator belonging to S60 2nd edition SDK by changing EPOCROOT variable to "\Symbian\8.0a\s60_2nd_fp2\". I also couldn't use the templates available in Carbide.c++ v 1.3 to create a S60 2nd edition project. I did exactly as described in Lucian Tomuta's article, but to no avail. Would I be able to install Carbide.c++ v 1.2 when Carbide.c++ v 1.3 is already installed? Please help.

    Thanks,

    Shanker

  11. #11
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,559

    Re: S60 2nd Edtion FP2 SDK

    Like said earlier (guess you missed that point) in the thread, you can have both the Carbide.c++ 1.2 and Carbide.c++ 1.3 on the same system without problems

  12. #12
    Regular Contributor
    Join Date
    Aug 2008
    Posts
    70

    Re: S60 2nd Edtion FP2 SDK

    Quote Originally Posted by Symbian_Neil View Post
    When you create a new project, you can select the appropriate SDK and platform to use. Try it once and it will be more clearer ;)
    alright :) thanks

  13. #13
    Regular Contributor
    Join Date
    May 2008
    Location
    India
    Posts
    172

    Question Re: S60 2nd Edtion FP2 SDK

    Howdy People,

    I took your advise and downloaded Carbide.c++ v 1.2 and Installed it. I can use S60 2nd Edition templates and create projects, I can also import projects from SDK samples. But, I just can't seem to compile any of the applications as it shows an error - "`\Symbian\8.0a\S60_2nd_FP2\EPOC32\RELEASE\WINSCW\UDEB\EDLL.LIB'". EDLL.LIB does not exist at the specified path, so, I tried copying the file from "C:\Symbian\8.0a\S60_2nd_FP2\epoc32\release\armi\urel", that seems to work fine, but, a series of errors (similar in nature - with different file names) keep popping up. What should I do to resolve this? Please help.

    Shanker

  14. #14
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,559

    Re: S60 2nd Edtion FP2 SDK

    Do you have the SDKs carbide[s] workspace and perl on the same drive?

  15. #15
    Regular Contributor
    Join Date
    May 2008
    Location
    India
    Posts
    172

    Re: S60 2nd Edtion FP2 SDK

    Hi Neil,

    SDKs (S60 2nd edn & S60 3rd edn), both versions of Carbide.c++ (1.2 and 1.3) and perl on "C" drive. User variable - EPOCROOT points to "\Symbian\8.0a\S60_2nd_FP2\" (no quotes of course).

    Shanker

Similar Threads

  1. Carbide.ui 3.2.1.0 feedback - Squashed custom icons on S60 2nd FP2
    By enriconic in forum Tools and SDK Feedback (Closed)
    Replies: 4
    Last Post: 2008-05-30, 11:29
  2. Replies: 7
    Last Post: 2008-05-29, 17:41
  3. Replies: 1
    Last Post: 2008-05-01, 08:08
  4. S60 2nd Edition SDK emulator error: Invalid Java Vesion
    By vikas_khengare in forum Mobile Java General
    Replies: 2
    Last Post: 2007-11-28, 10:47
  5. EPOCROOT error in S60 SDK 2nd ed. FP2
    By abolfoooud in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2005-01-25, 22:10

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×